Exchange User Info by sso_ticket API
Call this API when exchanging user information via sso-ticket.
Request Description
POST https://{your_domain}/api/v2/tenant/sso/sso-ticket/verify
Request Headers
| Parameter Name | Name | Required | Type | Example |
|---|---|---|---|---|
| Authorization | Authorization information | Yes | String | Bearer {access_token} |
| content-type | Content format type | Yes | String | application/json |
Request Example
json
{
"sso_ticket": "ssoTicket-r5TCBLU14oSGxCMVdxeB5HA1uJiV",
"operating_sys_version": "windows10.1.1",
"device_ip": "192.168.1.1",
"device_fingerprint": "156aysdna213sac",
"agent": "agent:Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.82 Safari/537.36"
}Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| sso_ticket | One-time access ticket | Yes | String | Exchange one-time access ticket sso_ticket using session_token after user login; sso_ticket can be exchanged for user information |
| operating_sys_version | Caller client operating system version | Yes | String | Example: windows10.1.1 |
| device_ip | Caller client device IP | Yes | String | Example: 192.168.1.2 |
| device_fingerprint | Caller client device fingerprint | Yes | String | This parameter value needs to remain consistent when the same user calls the API. Example: 156aysdna213sac |
| agent | User-Agent information | No | String | Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) |
Response Example
Success Example
HTTP/1.1 200 OK
json
{
"id": "20220126153857263-A04D-60E0D446C",
"userName": "zhangsan",
"name": "zhangsan",
"mobile": "+86-18310136755",
"email": "18310136755@163.com"
}Response Parameters
The platform configuration returns a basic user list, as follows:
| Parameter Name | Name | Type | Description |
|---|---|---|---|
| userName | Username | String | |
| id | User ID | String | |
| name | Name | String | |
| mobile | Mobile phone number | String | |
| String |